complete -c kwctl -n "__fish_use_subcommand" -s v -l verbose -d 'Increase verbosity'
complete -c kwctl -n "__fish_use_subcommand" -l no-color -d 'Disable colorful output'
complete -c kwctl -n "__fish_use_subcommand" -s h -l help -d 'Print help'
complete -c kwctl -n "__fish_use_subcommand" -s V -l version -d 'Print version'
complete -c kwctl -n "__fish_use_subcommand" -f -a "annotate" -d 'Add Kubewarden metadata to a WebAssembly module'
complete -c kwctl -n "__fish_use_subcommand" -f -a "bench" -d 'Benchmarks a Kubewarden policy'
complete -c kwctl -n "__fish_use_subcommand" -f -a "completions" -d 'Generate shell completions'
complete -c kwctl -n "__fish_use_subcommand" -f -a "digest" -d 'Fetch digest from the OCI manifest of a policy'
complete -c kwctl -n "__fish_use_subcommand" -f -a "info" -d 'Display system information'
complete -c kwctl -n "__fish_use_subcommand" -f -a "inspect" -d 'Inspect Kubewarden policy'
complete -c kwctl -n "__fish_use_subcommand" -f -a "load" -d 'load policies from a tar.gz file'
complete -c kwctl -n "__fish_use_subcommand" -f -a "policies" -d 'Lists all downloaded policies'
complete -c kwctl -n "__fish_use_subcommand" -f -a "pull" -d 'Pulls a Kubewarden policy from a given URI'
complete -c kwctl -n "__fish_use_subcommand" -f -a "push" -d 'Pushes a Kubewarden policy to an OCI registry'
complete -c kwctl -n "__fish_use_subcommand" -f -a "rm" -d 'Removes a Kubewarden policy from the store'
complete -c kwctl -n "__fish_use_subcommand" -f -a "run" -d 'Runs a Kubewarden policy from a given URI'
complete -c kwctl -n "__fish_use_subcommand" -f -a "save" -d 'save policies to a tar.gz file'
complete -c kwctl -n "__fish_use_subcommand" -f -a "scaffold" -d 'Scaffold a Kubernetes resource or configuration file'
complete -c kwctl -n "__fish_use_subcommand" -f -a "verify" -d 'Verify a Kubewarden policy from a given URI using Sigstore'
complete -c kwctl -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c kwctl -n "__fish_seen_subcommand_from annotate" -s m -l metadata-path -d 'File containing the metadata' -r
complete -c kwctl -n "__fish_seen_subcommand_from annotate" -s o -l output-path -d 'Output file' -r
complete -c kwctl -n "__fish_seen_subcommand_from annotate" -s u -l usage-path -d 'File containing the usage information of the policy' -r
complete -c kwctl -n "__fish_seen_subcommand_from annotate" -s h -l help -d 'Print help'
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l cert-email -d 'Expected email in Fulcio certificate' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l cert-oidc-issuer -d 'Expected OIDC issuer in Fulcio certificates' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l docker-config-json-path -d 'Path to a directory containing the Docker \'config.json\' file. Can be used to indicate registry authentication details' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l dump-results-to-disk -d 'Puts results in target/tiny-bench/label/.. if target can be found. used for comparing previous runs' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -s e -l execution-mode -d 'The runtime to use to execute this policy' -r -f -a "{opa	'',gatekeeper	'',kubewarden	'',wasi	''}"
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l fulcio-cert-path -d 'Path to the Fulcio certificate. Can be repeated multiple times' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l github-owner -d 'GitHub owner expected in the certificates generated in CD pipelines' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l github-repo -d 'GitHub repository expected in the certificates generated in CD pipelines' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l measurement-time -d 'How long the bench ‘should’ run, num_samples is prioritized so benching will take longer to be able to collect num_samples if the code to be benched is slower than this time limit allowed' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l num-resamples -d 'How many resamples should be done' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l num-samples -d 'How many resamples should be done. Recommended at least 50, above 100 doesn’t seem to yield a significantly different result' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l record-host-capabilities-interactions -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l rekor-public-key-path -d 'Path to the Rekor public key' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l replay-host-capabilities-interactions -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -s r -l request-path -d 'File containing the Kubernetes admission request object in JSON format' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l settings-json -d 'JSON string containing the settings for this policy' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -s s -l settings-path -d 'File containing the settings for this policy' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l sources-path -d 'YAML file holding source information (https, registry insecure hosts, custom CA\'s...)' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -s a -l verification-annotation -d 'Annotation in key=value format. Can be repeated multiple times' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l verification-config-path -d 'YAML file holding verification config information (signatures, public keys...)' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -s k -l verification-key -d 'Path to key used to verify the policy. Can be repeated multiple times' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l warm-up-time -d 'How long the bench should warm up' -r
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l allow-context-aware -d 'Grant access to the Kubernetes resources defined inside of the policy\'s `contextAwareResources` section. Warning: review the list of resources carefully to avoid abuses. Disabled by default'
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l disable-wasmtime-cache -d 'Turn off usage of wasmtime cache'
complete -c kwctl -n "__fish_seen_subcommand_from bench" -l raw -d 'Validate a raw request'
complete -c kwctl -n "__fish_seen_subcommand_from bench" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c kwctl -n "__fish_seen_subcommand_from completions" -s s -l shell -d 'Shell type' -r -f -a "{bash	'',elvish	'',fish	'',powershell	'',zsh	''}"
complete -c kwctl -n "__fish_seen_subcommand_from completions" -s h -l help -d 'Print help'
complete -c kwctl -n "__fish_seen_subcommand_from digest" -l docker-config-json-path -d 'Path to a directory containing the Docker \'config.json\' file. Can be used to indicate registry authentication details' -r
complete -c kwctl -n "__fish_seen_subcommand_from digest" -l sources-path -d 'YAML file holding source information (https, registry insecure hosts, custom CA\'s...)' -r
complete -c kwctl -n "__fish_seen_subcommand_from digest" -s h -l help -d 'Print help'
complete -c kwctl -n "__fish_seen_subcommand_from info" -s h -l help -d 'Print help'
complete -c kwctl -n "__fish_seen_subcommand_from inspect" -l docker-config-json-path -d 'Path to a directory containing the Docker \'config.json\' file. Can be used to indicate registry authentication details' -r
complete -c kwctl -n "__fish_seen_subcommand_from inspect" -s o -l output -d 'Output format' -r -f -a "{yaml	''}"
complete -c kwctl -n "__fish_seen_subcommand_from inspect" -l sources-path -d 'YAML file holding source information (https, registry insecure hosts, custom CA\'s...)' -r
complete -c kwctl -n "__fish_seen_subcommand_from inspect" -l show-signatures -d 'Show sigstore signatures'
complete -c kwctl -n "__fish_seen_subcommand_from inspect" -s h -l help -d 'Print help'
complete -c kwctl -n "__fish_seen_subcommand_from load" -l input -d 'load policies from tarball' -r
complete -c kwctl -n "__fish_seen_subcommand_from load" -s h -l help -d 'Print help'
complete -c kwctl -n "__fish_seen_subcommand_from policies" -s h -l help -d 'Print help'
complete -c kwctl -n "__fish_seen_subcommand_from pull" -l cert-email -d 'Expected email in Fulcio certificate' -r
complete -c kwctl -n "__fish_seen_subcommand_from pull" -l cert-oidc-issuer -d 'Expected OIDC issuer in Fulcio certificates' -r
complete -c kwctl -n "__fish_seen_subcommand_from pull" -l docker-config-json-path -d 'Path to a directory containing the Docker \'config.json\' file. Can be used to indicate registry authentication details' -r
complete -c kwctl -n "__fish_seen_subcommand_from pull" -l fulcio-cert-path -d 'Path to the Fulcio certificate. Can be repeated multiple times' -r
complete -c kwctl -n "__fish_seen_subcommand_from pull" -l github-owner -d 'GitHub owner expected in the certificates generated in CD pipelines' -r
complete -c kwctl -n "__fish_seen_subcommand_from pull" -l github-repo -d 'GitHub repository expected in the certificates generated in CD pipelines' -r
complete -c kwctl -n "__fish_seen_subcommand_from pull" -s o -l output-path -d 'Output file. If not provided will be downloaded to the Kubewarden store' -r
complete -c kwctl -n "__fish_seen_subcommand_from pull" -l rekor-public-key-path -d 'Path to the Rekor public key. Can be repeated multiple times' -r
complete -c kwctl -n "__fish_seen_subcommand_from pull" -l sources-path -d 'YAML file holding source information (https, registry insecure hosts, custom CA\'s...)' -r
complete -c kwctl -n "__fish_seen_subcommand_from pull" -s a -l verification-annotation -d 'Annotation in key=value format. Can be repeated multiple times' -r
complete -c kwctl -n "__fish_seen_subcommand_from pull" -l verification-config-path -d 'YAML file holding verification config information (signatures, public keys...)' -r
complete -c kwctl -n "__fish_seen_subcommand_from pull" -s k -l verification-key -d 'Path to key used to verify the policy. Can be repeated multiple times' -r
complete -c kwctl -n "__fish_seen_subcommand_from pull" -s h -l help -d 'Print help'
complete -c kwctl -n "__fish_seen_subcommand_from push" -l docker-config-json-path -d 'Path to a directory containing the Docker \'config.json\' file. Can be used to indicate registry authentication details' -r
complete -c kwctl -n "__fish_seen_subcommand_from push" -s f -l force -d 'Push also a policy that is not annotated' -r
complete -c kwctl -n "__fish_seen_subcommand_from push" -s o -l output -d 'Output format' -r -f -a "{text	'',json	''}"
complete -c kwctl -n "__fish_seen_subcommand_from push" -l sources-path -d 'YAML file holding source information (https, registry insecure hosts, custom CA\'s...)' -r
complete -c kwctl -n "__fish_seen_subcommand_from push" -s h -l help -d 'Print help'
complete -c kwctl -n "__fish_seen_subcommand_from rm" -s h -l help -d 'Print help'
complete -c kwctl -n "__fish_seen_subcommand_from run" -l cert-email -d 'Expected email in Fulcio certificate' -r
complete -c kwctl -n "__fish_seen_subcommand_from run" -l cert-oidc-issuer -d 'Expected OIDC issuer in Fulcio certificates' -r
complete -c kwctl -n "__fish_seen_subcommand_from run" -l docker-config-json-path -d 'Path to a directory containing the Docker \'config.json\' file. Can be used to indicate registry authentication details' -r
complete -c kwctl -n "__fish_seen_subcommand_from run" -s e -l execution-mode -d 'The runtime to use to execute this policy' -r -f -a "{opa	'',gatekeeper	'',kubewarden	'',wasi	''}"
complete -c kwctl -n "__fish_seen_subcommand_from run" -l fulcio-cert-path -d 'Path to the Fulcio certificate. Can be repeated multiple times' -r
complete -c kwctl -n "__fish_seen_subcommand_from run" -l github-owner -d 'GitHub owner expected in the certificates generated in CD pipelines' -r
complete -c kwctl -n "__fish_seen_subcommand_from run" -l github-repo -d 'GitHub repository expected in the certificates generated in CD pipelines' -r
complete -c kwctl -n "__fish_seen_subcommand_from run" -l record-host-capabilities-interactions -r
complete -c kwctl -n "__fish_seen_subcommand_from run" -l rekor-public-key-path -d 'Path to the Rekor public key' -r
complete -c kwctl -n "__fish_seen_subcommand_from run" -l replay-host-capabilities-interactions -r
complete -c kwctl -n "__fish_seen_subcommand_from run" -s r -l request-path -d 'File containing the Kubernetes admission request object in JSON format' -r
complete -c kwctl -n "__fish_seen_subcommand_from run" -l settings-json -d 'JSON string containing the settings for this policy' -r
complete -c kwctl -n "__fish_seen_subcommand_from run" -s s -l settings-path -d 'File containing the settings for this policy' -r
complete -c kwctl -n "__fish_seen_subcommand_from run" -l sources-path -d 'YAML file holding source information (https, registry insecure hosts, custom CA\'s...)' -r
complete -c kwctl -n "__fish_seen_subcommand_from run" -s a -l verification-annotation -d 'Annotation in key=value format. Can be repeated multiple times' -r
complete -c kwctl -n "__fish_seen_subcommand_from run" -l verification-config-path -d 'YAML file holding verification config information (signatures, public keys...)' -r
complete -c kwctl -n "__fish_seen_subcommand_from run" -s k -l verification-key -d 'Path to key used to verify the policy. Can be repeated multiple times' -r
complete -c kwctl -n "__fish_seen_subcommand_from run" -l allow-context-aware -d 'Grant access to the Kubernetes resources defined inside of the policy\'s `contextAwareResources` section. Warning: review the list of resources carefully to avoid abuses. Disabled by default'
complete -c kwctl -n "__fish_seen_subcommand_from run" -l disable-wasmtime-cache -d 'Turn off usage of wasmtime cache'
complete -c kwctl -n "__fish_seen_subcommand_from run" -l raw -d 'Validate a raw request'
complete -c kwctl -n "__fish_seen_subcommand_from run" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c kwctl -n "__fish_seen_subcommand_from save" -s o -l output -d 'path where the file will be stored' -r
complete -c kwctl -n "__fish_seen_subcommand_from save" -s h -l help -d 'Print help'
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from artifacthub; and not __fish_seen_subcommand_from manifest; and not __fish_seen_subcommand_from verification-config; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help'
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from artifacthub; and not __fish_seen_subcommand_from manifest; and not __fish_seen_subcommand_from verification-config; and not __fish_seen_subcommand_from help" -f -a "artifacthub" -d 'Output an artifacthub-pkg.yml file from a metadata.yml file'
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from artifacthub; and not __fish_seen_subcommand_from manifest; and not __fish_seen_subcommand_from verification-config; and not __fish_seen_subcommand_from help" -f -a "manifest" -d 'Output a Kubernetes resource manifest'
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from artifacthub; and not __fish_seen_subcommand_from manifest; and not __fish_seen_subcommand_from verification-config; and not __fish_seen_subcommand_from help" -f -a "verification-config" -d 'Output a default Sigstore verification configuration file'
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from artifacthub; and not __fish_seen_subcommand_from manifest; and not __fish_seen_subcommand_from verification-config; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and __fish_seen_subcommand_from artifacthub" -s m -l metadata-path -d 'File containing the metadata of the policy' -r
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and __fish_seen_subcommand_from artifacthub" -s o -l output -d 'Path where the artifact-pkg.yml file will be stored' -r
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and __fish_seen_subcommand_from artifacthub" -s q -l questions-path -d 'File containing the questions-ui content of the policy' -r
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and __fish_seen_subcommand_from artifacthub" -s v -l version -d 'Semver version of the policy' -r
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and __fish_seen_subcommand_from artifacthub" -s h -l help -d 'Print help'
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and __fish_seen_subcommand_from manifest" -l settings-json -d 'JSON string containing the settings for this policy' -r
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and __fish_seen_subcommand_from manifest" -s s -l settings-path -d 'File containing the settings for this policy' -r
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and __fish_seen_subcommand_from manifest" -l title -d 'Policy title' -r
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and __fish_seen_subcommand_from manifest" -s t -l type -d 'Kubewarden Custom Resource type' -r -f -a "{ClusterAdmissionPolicy	'',AdmissionPolicy	''}"
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and __fish_seen_subcommand_from manifest" -l allow-context-aware -d 'Uses the policy metadata to define which Kubernetes resources can be accessed by the policy. Warning: review the list of resources carefully to avoid abuses. Disabled by default'
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and __fish_seen_subcommand_from manifest" -s h -l help -d 'Print help'
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and __fish_seen_subcommand_from verification-config" -s h -l help -d 'Print help'
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from artifacthub; and not __fish_seen_subcommand_from manifest; and not __fish_seen_subcommand_from verification-config; and not __fish_seen_subcommand_from help" -f -a "artifacthub" -d 'Output an artifacthub-pkg.yml file from a metadata.yml file'
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from artifacthub; and not __fish_seen_subcommand_from manifest; and not __fish_seen_subcommand_from verification-config; and not __fish_seen_subcommand_from help" -f -a "manifest" -d 'Output a Kubernetes resource manifest'
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from artifacthub; and not __fish_seen_subcommand_from manifest; and not __fish_seen_subcommand_from verification-config; and not __fish_seen_subcommand_from help" -f -a "verification-config" -d 'Output a default Sigstore verification configuration file'
complete -c kwctl -n "__fish_seen_subcommand_from scaffold; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from artifacthub; and not __fish_seen_subcommand_from manifest; and not __fish_seen_subcommand_from verification-config; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c kwctl -n "__fish_seen_subcommand_from verify" -l cert-email -d 'Expected email in Fulcio certificate' -r
complete -c kwctl -n "__fish_seen_subcommand_from verify" -l cert-oidc-issuer -d 'Expected OIDC issuer in Fulcio certificates' -r
complete -c kwctl -n "__fish_seen_subcommand_from verify" -l docker-config-json-path -d 'Path to a directory containing the Docker \'config.json\' file. Can be used to indicate registry authentication details' -r
complete -c kwctl -n "__fish_seen_subcommand_from verify" -l fulcio-cert-path -d 'Path to the Fulcio certificate. Can be repeated multiple times' -r
complete -c kwctl -n "__fish_seen_subcommand_from verify" -l github-owner -d 'GitHub owner expected in the certificates generated in CD pipelines' -r
complete -c kwctl -n "__fish_seen_subcommand_from verify" -l github-repo -d 'GitHub repository expected in the certificates generated in CD pipelines' -r
complete -c kwctl -n "__fish_seen_subcommand_from verify" -l rekor-public-key-path -d 'Path to the Rekor public key' -r
complete -c kwctl -n "__fish_seen_subcommand_from verify" -l sources-path -d 'YAML file holding source information (https, registry insecure hosts, custom CA\'s...)' -r
complete -c kwctl -n "__fish_seen_subcommand_from verify" -s a -l verification-annotation -d 'Annotation in key=value format. Can be repeated multiple times' -r
complete -c kwctl -n "__fish_seen_subcommand_from verify" -l verification-config-path -d 'YAML file holding verification config information (signatures, public keys...)' -r
complete -c kwctl -n "__fish_seen_subcommand_from verify" -s k -l verification-key -d 'Path to key used to verify the policy. Can be repeated multiple times' -r
complete -c kwctl -n "__fish_seen_subcommand_from verify" -s h -l help -d 'Print help'
complete -c kwctl -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from annotate; and not __fish_seen_subcommand_from bench; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from digest; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from inspect; and not __fish_seen_subcommand_from load; and not __fish_seen_subcommand_from policies; and not __fish_seen_subcommand_from pull; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from save; and not __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from verify; and not __fish_seen_subcommand_from help" -f -a "annotate" -d 'Add Kubewarden metadata to a WebAssembly module'
complete -c kwctl -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from annotate; and not __fish_seen_subcommand_from bench; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from digest; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from inspect; and not __fish_seen_subcommand_from load; and not __fish_seen_subcommand_from policies; and not __fish_seen_subcommand_from pull; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from save; and not __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from verify; and not __fish_seen_subcommand_from help" -f -a "bench" -d 'Benchmarks a Kubewarden policy'
complete -c kwctl -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from annotate; and not __fish_seen_subcommand_from bench; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from digest; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from inspect; and not __fish_seen_subcommand_from load; and not __fish_seen_subcommand_from policies; and not __fish_seen_subcommand_from pull; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from save; and not __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from verify; and not __fish_seen_subcommand_from help" -f -a "completions" -d 'Generate shell completions'
complete -c kwctl -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from annotate; and not __fish_seen_subcommand_from bench; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from digest; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from inspect; and not __fish_seen_subcommand_from load; and not __fish_seen_subcommand_from policies; and not __fish_seen_subcommand_from pull; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from save; and not __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from verify; and not __fish_seen_subcommand_from help" -f -a "digest" -d 'Fetch digest from the OCI manifest of a policy'
complete -c kwctl -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from annotate; and not __fish_seen_subcommand_from bench; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from digest; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from inspect; and not __fish_seen_subcommand_from load; and not __fish_seen_subcommand_from policies; and not __fish_seen_subcommand_from pull; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from save; and not __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from verify; and not __fish_seen_subcommand_from help" -f -a "info" -d 'Display system information'
complete -c kwctl -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from annotate; and not __fish_seen_subcommand_from bench; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from digest; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from inspect; and not __fish_seen_subcommand_from load; and not __fish_seen_subcommand_from policies; and not __fish_seen_subcommand_from pull; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from save; and not __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from verify; and not __fish_seen_subcommand_from help" -f -a "inspect" -d 'Inspect Kubewarden policy'
complete -c kwctl -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from annotate; and not __fish_seen_subcommand_from bench; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from digest; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from inspect; and not __fish_seen_subcommand_from load; and not __fish_seen_subcommand_from policies; and not __fish_seen_subcommand_from pull; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from save; and not __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from verify; and not __fish_seen_subcommand_from help" -f -a "load" -d 'load policies from a tar.gz file'
complete -c kwctl -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from annotate; and not __fish_seen_subcommand_from bench; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from digest; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from inspect; and not __fish_seen_subcommand_from load; and not __fish_seen_subcommand_from policies; and not __fish_seen_subcommand_from pull; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from save; and not __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from verify; and not __fish_seen_subcommand_from help" -f -a "policies" -d 'Lists all downloaded policies'
complete -c kwctl -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from annotate; and not __fish_seen_subcommand_from bench; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from digest; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from inspect; and not __fish_seen_subcommand_from load; and not __fish_seen_subcommand_from policies; and not __fish_seen_subcommand_from pull; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from save; and not __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from verify; and not __fish_seen_subcommand_from help" -f -a "pull" -d 'Pulls a Kubewarden policy from a given URI'
complete -c kwctl -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from annotate; and not __fish_seen_subcommand_from bench; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from digest; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from inspect; and not __fish_seen_subcommand_from load; and not __fish_seen_subcommand_from policies; and not __fish_seen_subcommand_from pull; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from save; and not __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from verify; and not __fish_seen_subcommand_from help" -f -a "push" -d 'Pushes a Kubewarden policy to an OCI registry'
complete -c kwctl -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from annotate; and not __fish_seen_subcommand_from bench; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from digest; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from inspect; and not __fish_seen_subcommand_from load; and not __fish_seen_subcommand_from policies; and not __fish_seen_subcommand_from pull; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from save; and not __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from verify; and not __fish_seen_subcommand_from help" -f -a "rm" -d 'Removes a Kubewarden policy from the store'
complete -c kwctl -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from annotate; and not __fish_seen_subcommand_from bench; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from digest; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from inspect; and not __fish_seen_subcommand_from load; and not __fish_seen_subcommand_from policies; and not __fish_seen_subcommand_from pull; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from save; and not __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from verify; and not __fish_seen_subcommand_from help" -f -a "run" -d 'Runs a Kubewarden policy from a given URI'
complete -c kwctl -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from annotate; and not __fish_seen_subcommand_from bench; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from digest; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from inspect; and not __fish_seen_subcommand_from load; and not __fish_seen_subcommand_from policies; and not __fish_seen_subcommand_from pull; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from save; and not __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from verify; and not __fish_seen_subcommand_from help" -f -a "save" -d 'save policies to a tar.gz file'
complete -c kwctl -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from annotate; and not __fish_seen_subcommand_from bench; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from digest; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from inspect; and not __fish_seen_subcommand_from load; and not __fish_seen_subcommand_from policies; and not __fish_seen_subcommand_from pull; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from save; and not __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from verify; and not __fish_seen_subcommand_from help" -f -a "scaffold" -d 'Scaffold a Kubernetes resource or configuration file'
complete -c kwctl -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from annotate; and not __fish_seen_subcommand_from bench; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from digest; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from inspect; and not __fish_seen_subcommand_from load; and not __fish_seen_subcommand_from policies; and not __fish_seen_subcommand_from pull; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from save; and not __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from verify; and not __fish_seen_subcommand_from help" -f -a "verify" -d 'Verify a Kubewarden policy from a given URI using Sigstore'
complete -c kwctl -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from annotate; and not __fish_seen_subcommand_from bench; and not __fish_seen_subcommand_from completions; and not __fish_seen_subcommand_from digest; and not __fish_seen_subcommand_from info; and not __fish_seen_subcommand_from inspect; and not __fish_seen_subcommand_from load; and not __fish_seen_subcommand_from policies; and not __fish_seen_subcommand_from pull; and not __fish_seen_subcommand_from push; and not __fish_seen_subcommand_from rm; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from save; and not __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from verify; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c kwctl -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from artifacthub; and not __fish_seen_subcommand_from manifest; and not __fish_seen_subcommand_from verification-config" -f -a "artifacthub" -d 'Output an artifacthub-pkg.yml file from a metadata.yml file'
complete -c kwctl -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from artifacthub; and not __fish_seen_subcommand_from manifest; and not __fish_seen_subcommand_from verification-config" -f -a "manifest" -d 'Output a Kubernetes resource manifest'
complete -c kwctl -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from scaffold; and not __fish_seen_subcommand_from artifacthub; and not __fish_seen_subcommand_from manifest; and not __fish_seen_subcommand_from verification-config" -f -a "verification-config" -d 'Output a default Sigstore verification configuration file'
